const { OAIHarvester } = require("oai-pmh");

// Dirección de tu endpoint OAI de DSpace
const endpoint = "http://amanglana.unag.edu.hn:8500/oai/request";

const harvester = new OAIHarvester(endpoint);

(async () => {
  try {
    const records = await harvester.listRecords("oai_dc");
    console.log("✅ Total de registros cosechados:", records.length);
    
    records.slice(0, 3).forEach((r, idx) => {
      console.log(`\n🔹 Registro #${idx + 1}`);
      console.log(JSON.stringify(r.metadata, null, 2));
    });
  } catch (error) {
    console.error("❌ Error en la cosecha:", error.message);
  }
})();

